Subject: [CCAMP] AD review of draft-ietf-ccamp-rwa-info

From: "Adrian Farrel" <[email-masked]>
Date: Thu, 6 Nov 2014 08:14:47 -0000

Hi,

I've done my usual AD review of this draft as part of the publication
request process. The purpose of my review is to catch issues that would
otherwise get in the way during IETF last call and IESG review.

This document is quite readable: thank you. I have no comments that need
to delay the document, and I will start the IETF last call.

However, I do have a number of small issues that are essentially 
editorial. I've attached these below and will re-send them as part of the
IETF last call so that you can collect them and fix them in any revision
after the end of IETF last call.

Thanks for the work,
Adrian

====

It would be nice to do a little post-processing to your text file to
arrange the RBNF to make it slightly easier to read. Of course, the
semantics would not change, so this is not essential: just nice.

---

Figures 1 and 2 would benefit from a statement that "Rb" is a resource
block.

---

Figure 2 has a couple of stray '+' signs on the left-hand edge of the 
output matrix box.

---

Page 10

   <ResourceAccessibility ::= <PoolInputMatrix> <PoolOutputMatrix>

is missing a '>'

---

In 5.3.1 please

s/draft/document/  twice.

---

I wonder whether you want to add a reference to RFC7308 in Section 6.1.
I don't think this makes any difference to the validity of the section,
but it may be helpful when data models based on this information model 
are built.

---

Should 6.5 also have a reference to ISIS TE?

---

Page 15

You need to separate the RBNF from the end of the first paragraph

---

The question for section 8 is: are there any security elements that 
need to be in your information model? Security qualities of links
and nodes? Security capabilities of links and nodes?

---

Section 3 has a reference to [G.7715] but this is not shown in the 
references section. 

---

[G.707], [G.709], and [G.Sup39] are listed as references, but not used.

---

s/Author's Addresses/Authors' Addresses/

---

From: Leeyoung <[email-masked]>
Date: Thu, 6 Nov 2014 21:14:41 +0000

Hi Adrian,

Thank you so much for providing your comments and speeding up the process. Yes, all your comments will be incorporated in the revision after the end of IETF last call. Please see inline for my response to your comment. 

Regards,
Young

-----Original Message-----
From: Adrian Farrel [mailto:[email-masked]] 
Sent: Thursday, November 06, 2014 2:15 AM
To: [email-masked]
Cc: [email-masked]
Subject: AD review of draft-ietf-ccamp-rwa-info

Hi,

I've done my usual AD review of this draft as part of the publication request process. The purpose of my review is to catch issues that would otherwise get in the way during IETF last call and IESG review.

This document is quite readable: thank you. I have no comments that need to delay the document, and I will start the IETF last call.

However, I do have a number of small issues that are essentially editorial. I've attached these below and will re-send them as part of the IETF last call so that you can collect them and fix them in any revision after the end of IETF last call.

Thanks for the work,
Adrian

====

It would be nice to do a little post-processing to your text file to arrange the RBNF to make it slightly easier to read. Of course, the semantics would not change, so this is not essential: just nice.

YOUNG>> Yes, agree. Done globally. 
---

Figures 1 and 2 would benefit from a statement that "Rb" is a resource block.

YOUNG>> OK. A note added.  
---

Figure 2 has a couple of stray '+' signs on the left-hand edge of the output matrix box.

YOUNG>> Good catch. Corrected. 

---

Page 10

is missing a '>'

YOUNG> Another good catch. Corrected. 
---

In 5.3.1 please

s/draft/document/  twice.

YOUNG>> OK. Corrected (actually in 5.3.2). 
---

I wonder whether you want to add a reference to RFC7308 in Section 6.1.
I don't think this makes any difference to the validity of the section, but it may be helpful when data models based on this information model are built.

YOUNG>> I agree. Added as normative reference. 

---

YOUNG>> OK. RFC3784 added as normative reference.

---

Page 15

YOUNG>> Done. 

---

The question for section 8 is: are there any security elements that need to be in your information model? Security qualities of links and nodes? Security capabilities of links and nodes?

YOUNG>> I am not sure what you are referring to. Can you elaborate some examples of security qualities/capabilities? Since this is informational draft, perhaps the corresponding encode draft may be a good place for this. 

---

Section 3 has a reference to [G.7715] but this is not shown in the references section. 

YOUNG>> Added. 

---

YOUNG>> Deleted. 

---

YOUNG>> Corrected.

---

From: "Adrian Farrel" <[email-masked]>
Date: Thu, 6 Nov 2014 23:25:11 -0000

Very good.

Thanks. I've asked for the last call and I will formally drop y comments to the
IETF list.

Two points...

> YOUNG>> OK. RFC3784 added as normative reference.

That should be 5305,  I think.

> The question for section 8 is: are there any security elements that need to be
in
> your information model? Security qualities of links and nodes? Security
> capabilities of links and nodes?
> 
> YOUNG>> I am not sure what you are referring to. Can you elaborate some
> examples of security qualities/capabilities? Since this is informational
draft,
> perhaps the corresponding encode draft may be a good place for this.

The encode draft would be exactly the place to talk about the specifics. The
question is whether this draft should create the space to talk about the
specifics.

Maybe I am just dreaming and this should just be classified as "a future type of
metric" and nothing more needs to be said.

Thanks,
Adrian

---

From: Leeyoung <[email-masked]>
Date: Fri, 7 Nov 2014 00:34:55 +0000

Hi Adrian,

Yes, RFC 3784 was obsolete and I put RFC 5305. Here's the working version (v23) that updated all comments so far with diff'ed from the old version.

Thanks,
Young

-----Original Message-----
From: Adrian Farrel [mailto:[email-masked]] 
Sent: Thursday, November 06, 2014 5:25 PM
To: Leeyoung; [email-masked]
Cc: [email-masked]
Subject: RE: AD review of draft-ietf-ccamp-rwa-info

Very good.

Thanks. I've asked for the last call and I will formally drop y comments to the IETF list.

Two points...

> need to be
in
> your information model? Security qualities of links and nodes? 
> Security capabilities of links and nodes?
> 
> YOUNG>> I am not sure what you are referring to. Can you elaborate 
> YOUNG>> some
draft,
> perhaps the corresponding encode draft may be a good place for this.

The encode draft would be exactly the place to talk about the specifics. The question is whether this draft should create the space to talk about the specifics.

Maybe I am just dreaming and this should just be classified as "a future type of metric" and nothing more needs to be said.

Thanks,
Adrian

---

From: "Adrian Farrel" <[email-masked]>
Date: Fri, 7 Nov 2014 00:42:47 -0000

OK

Hang on to that until IETF last call is done.

cheers,
Adrian

> From: Leeyoung [mailto:[email-masked]]
> Sent: 07 November 2014 00:35
> To: [email-masked]; [email-masked]
> Cc: [email-masked]
> Yes, RFC 3784 was obsolete and I put RFC 5305. Here's the working version
(v23)
> that updated all comments so far with diff'ed from the old version.
> 
> Thanks,
> Young
> 
> Thanks. I've asked for the last call and I will formally drop y comments to
the IETF
> list.
specifics.